TIBCO ActiveSpaces®

Functions
tablemetadata.h File Reference

A table metadata object contains information about a specific table in the data grid. This information includes column names, column types, index names, etc. More...

## Functions
TIBDG_API const char ** | tibdgTableMetadata_GetColumnNames (tibEx e, tibdgTableMetadata tableMetadata, tibint32_t *arraySize)
| Get the array of column names from the table metadata object. More...
TIBDG_API tibdgColumnType | tibdgTableMetadata_GetColumnType (tibEx e, tibdgTableMetadata tableMetadata, const char *columnName)
| Get the column type from the table metadata object for a particular column name. More...
TIBDG_API tibint64_t | tibdgTableMetadata_GetDefaultTTL (tibEx e, tibdgTableMetadata tableMetadata)
| Get the default TTL for rows in the table from the table metadata object. More...
TIBDG_API const char ** | tibdgTableMetadata_GetIndexColumnNames (tibEx e, tibdgTableMetadata tableMetadata, const char *indexName, tibint32_t *arraySize)
| Get the array of column name strings used when a particular index was created. More...
TIBDG_API const char ** | tibdgTableMetadata_GetIndexNames (tibEx e, tibdgTableMetadata tableMetadata, tibint32_t *arraySize)
| Get the array of index names from the table metadata object. More...
TIBDG_API const char * | tibdgTableMetadata_GetName (tibEx e, tibdgTableMetadata tableMetadata)
| Get the name of the table from the table metadata object. More...
TIBDG_API const char * | tibdgTableMetadata_GetPrimaryIndexName (tibEx e, tibdgTableMetadata tableMetadata)
| Get the primary index name of the table from the table metadata object. More...

## Detailed Description

A table metadata object contains information about a specific table in the data grid. This information includes column names, column types, index names, etc.

## Function Documentation

## ◆ tibdgTableMetadata_GetColumnNames()

TIBDG_API const char** tibdgTableMetadata_GetColumnNames | ( | tibEx | e,
|  | tibdgTableMetadata | tableMetadata,
|  | tibint32_t * | arraySize
| ) |  |

Get the array of column names from the table metadata object.

Note that the array provided by this API will be destroyed when the data grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  tableMetadata | The table metadata object from which to get the column names.
  arraySize | The call returns the length of the array (output).

Returns
  On success, this call returns an array of column name strings.
  On failure, this call returns `NULL`.

## ◆ tibdgTableMetadata_GetColumnType()

TIBDG_API tibdgColumnType tibdgTableMetadata_GetColumnType | ( | tibEx | e,
|  | tibdgTableMetadata | tableMetadata,
|  | const char * | columnName
| ) |  |

Get the column type from the table metadata object for a particular column name.

Parameters

  e | The exception object captures information about failures.
  tableMetadata | The table metadata object from which to get the column type.
  columnName | The column name to get the column type.

Returns
  a column type

## ◆ tibdgTableMetadata_GetDefaultTTL()

TIBDG_API tibint64_t tibdgTableMetadata_GetDefaultTTL | ( | tibEx | e,
|  | tibdgTableMetadata | tableMetadata
| ) |  |

Get the default TTL for rows in the table from the table metadata object.

If the default TTL is zero, that means rows never expire.

Parameters

  e | The exception object captures information about failures.
  tableMetadata | The table metadata object from which to get the name.

Returns
  On success, this call returns a value (in seconds) for how long a row will exist in the table before it expires.
  On failure, this call returns `NULL`.

## ◆ tibdgTableMetadata_GetIndexColumnNames()

TIBDG_API const char** tibdgTableMetadata_GetIndexColumnNames | ( | tibEx | e,
|  | tibdgTableMetadata | tableMetadata,
|  | const char * | indexName,
|  | tibint32_t * | arraySize
| ) |  |

Get the array of column name strings used when a particular index was created.

Note that the array provided by this API will be destroyed when the data grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  tableMetadata | The table metadata object from which to get the index column names.
  indexName | The name of the index to get the column names.
  arraySize | the size of the output array

Returns
  On success, this call returns an array of index column name strings.
  On failure, this call returns `NULL`.

## ◆ tibdgTableMetadata_GetIndexNames()

TIBDG_API const char** tibdgTableMetadata_GetIndexNames | ( | tibEx | e,
|  | tibdgTableMetadata | tableMetadata,
|  | tibint32_t * | arraySize
| ) |  |

Get the array of index names from the table metadata object.

Note that the array provided by this API will be destroyed when the data grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  tableMetadata | The table metadata object from which to get the index names.
  arraySize | The call returns the length of the array (output).

Returns
  On success, this call returns an array of index name strings.
  On failure, this call returns `NULL`.

## ◆ tibdgTableMetadata_GetName()

TIBDG_API const char* tibdgTableMetadata_GetName | ( | tibEx | e,
|  | tibdgTableMetadata | tableMetadata
| ) |  |

Get the name of the table from the table metadata object.

Note that the string provided by this API will be destroyed when the data grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  tableMetadata | The table metadata object from which to get the name.

Returns
  On success, this call returns a table name string.
  On failure, this call returns `NULL`.

## ◆ tibdgTableMetadata_GetPrimaryIndexName()

TIBDG_API const char* tibdgTableMetadata_GetPrimaryIndexName | ( | tibEx | e,
|  | tibdgTableMetadata | tableMetadata
| ) |  |

Get the primary index name of the table from the table metadata object.

Note that the string provided by this API will be destroyed when the data grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  tableMetadata | The table metadata object from which to get the primary index name.

Returns
  On success, this call returns the primary index name string.
  On failure, this call returns `NULL`.